Function and options which We need (List for Bricsys).

Voting via quote :).
1. Similar function/window Layer Manager (AutoCAD). Which can be open and the command at the drawing can be executed.
...
Next One, please ...

Comments

  • 1. That means prob not just Layers but the whole of Settings, able to remain open as a palette(?), changes executed immediately (or on 'Apply'). Yes, that would be very valuable, great simplification and time saver, from user's POV.

    2. Set Layer by Entity also to work like Acad - select the entity, click the button and Layer is set to match - instead of (rather, as well as) the other way round (and sometimes reluctant to do even that, it seems).
  • Some other commands, like Matchprop and Chamfer, were once able to be done by picking the entities first.
    It would be nice if they could work like that again, as well as set layer by entity.
  • Problem #2 can be solved by changing the button macro to something like:
    [code]^c^c^p(command "_laymcur" (if (ssget "_I") (ssname (ssget "_I") 0) (car (entsel))))(princ)^p[/code]

    @ John:
    MatchProp allows a pre-selection.
    Using a pre-selection for Chamfer is probably hard, because that command also requires a point to identify the part of the entity where the action should be applied. I don't think it ever accepted a pre-selection.
  • Oops...
    John is right about the Chamfer command. In V7 it does accept a pre-selection.
  • Ah, matchprop allows preselection if you remove the underscore which comes with the button.
    Not sure why that was needed.
  • Ah, matchprop allows preselection if you remove the underscore which comes with the button.
    Not sure why that was needed.


    _MATCHPROP is the internal command name. MATCHPROP is the language localised name (alias). In your case it's the English version, so they are the same.

    Removing the underscore shouldn't make any difference. Perhaps it is your initial selection? MATCHPROP only allows you to use one source object, if you've pre-selected multiple objects, then BricsCAD will ignore and ask you to re-select.

    Regards,
    Jason Bourhill

  • Some other commands, like Matchprop and Chamfer, were once able to be done by picking the entities first.
    It would be nice if they could work like that again, as well as set layer by entity.


    FWIW AutoCAD doesn't allow you to pre-select with FILLET or CHAMFER either.

    In BricsCAD it pre-select will work via the QUAD for both FILLET and CHAMFER. I'm not sure as to why, it should be running the same command as the menu and toolbar. Again it only works with a specific selection such as two lines. If you pick more than this, then the QUAD won't display it as an option.

    It may be commonly known, but with FILLET and CHAMFER you can select using a crossing window, window, fence etc.. I find this quicker than individualy selecting each line segment.

    Regards,
    Jason Bourhill CAD Concepts
  • 2. Set Layer by Entity also to work like Acad - select the entity, click the button and Layer is set to match - instead of (rather, as well as) the other way round (and sometimes reluctant to do even that, it seems).


    Roy's method works, but you will get unexpected results if you've pre-selected multiple objects. You can't assume that the selection set is in the order that you've selected. AutoCAD allows you to pre-select only a single object, if you've selected multiple, then it asks you to re-select.

    Attach some old LISP, updated to work in the same manner as AutoCAD. The command has a twist in that you can simply press Enter (nil selection) to bring up a list of layers to select from. This was created before there was such things as toolbars and toolpalettes :-)

    Regards,
    Jason Bourhill


    SelectLayer.dclSelectLayer.lsp

  • Problem #2 can be solved by changing the button macro to something like:
    ^c^c^p(command "_laymcur" (if (ssget "_I") (ssname (ssget "_I") 0) (car (entsel))))(princ)^p  


    How/where can a button macro be viewed/changed?
  • MATCHPROP only allows you to use one source object, if you've pre-selected multiple objects, then BricsCAD will ignore and ask you to re-select.


    To avoid that problem (and because the objects whose properties I want to change are usually the Previous set or the Last object created), I reverse the selection order for Matchprop:
    [code](defun c:aMatchprop ()
     (princ "Select objects to be cloned...")
     (setq ss1 (ssget))
     (if ss1 (setq ent1 (entsel "Select Object to clone from...")))
     (if ent1 (command "Matchprop" ent1 ss1 ""))
    )[/code]
    The target objects to be changed are selected first (or pre-selected), and then the next click selects a single object as the source of the properties.
  • I worked out it's not the underscore which cause matchprop to start selection again, it's the ^C^C also on the button command.
    But I can only make chamfer work the old fashioned way whatever I do, in V15. I think I could do it any way I liked in the original Icad98 - it was a nice feature.
  • <

    div> 

    <

    blockquote class="Quote UserQuote">

    @Tom Foster:
    How/where can a button macro be viewed/changed? 

    Only the above message is my quote.  For some reason, whenever I try to use the quote button to reply to a message, it puts the end quote html code outside of the editing window. So any reply I type must be inside of the quote box.  Anyway,

    Search for the phrase, "Create Custom Tools" in the help file, and you will see directions for creating your own buttons and associating a command or macro to them. But, the process was quite confusing to me at first.

    Many of the items discussed so far can be created using LISP or other customization. But, personally, the top of the list for "functions we need" is the creation of dynamic blocks.

    By the way, I have been attempting to send this message using the "Post" button for about 5 minutes, without success.  I have had similar delays occasionally in the past. And actually, when compared to other message boards, there is always an unusual delay from when I hit the Post button, to when I see an acknowledgement of my posting.

     I can browse the internet, so I have access for that. Still, I don't know if the problem posting is at my end, or at Bricsys.  Does any one else have this problem?

    -Joe  
This discussion has been closed.